* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: var(--font-family);
  font-weight: 400;
  font-style: normal;
}

a {
  text-decoration: none;
  color: inherit;
}

li {
  list-style-type: none;
}

img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.container {
  padding: 0px 32px;
  width: 100%;
  max-width: 1280px;
  margin: 0 auto;
}

header {
  border-bottom: 1px solid var(--colors-border-border-secondary);
  padding: 20px 0;
  position: sticky;
  top: 0;
  z-index: 10;
  background: var(--base-white);
}

header .container {
  max-width: 1424px;
}

.header__content {
  display: flex;
  align-items: center;
  gap: 15px;
}

.header__nav_list {
  display: flex;
  align-items: center;
  gap: 4px;
}
.header__nav_list li {
  display: flex;
  align-items: center;
}

.header__nav_link--mobile {
  display: none;
}

.header__nav_link {
  border-radius: 6px;
  padding: 8px 8px;
  background: var(--colors-background-bg-primary);
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 14.5px;
  line-height: 150%;
  color: var(--colors-text-text-secondary-700);
  text-align: center;
}

.header__controls_group {
  display: flex;
  align-items: center;
  gap: 16px;
  margin-left: auto;
}

.header__login_btn,
.header__menu_btn {
  transition: all 200ms;
  cursor: pointer;
}
.header__login_btn:hover,
.header__menu_btn:hover {
  opacity: 0.8;
}

.header__login_btn,
.header__menu_btn {
  border: 1px solid
    var(--component-colors-components-buttons-secondary-color-button-secondary-color-border);
  border-radius: 8px;
  padding: 10px;
  width: 40px;
  height: 40px;
  box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.05);
  background: var(--component-colors-components-buttons-secondary-color-button-secondary-color-bg);
  display: flex;
  align-items: center;
  justify-content: center;
}

.header__menu_btn .close {
  display: none;
}

footer {
  margin-top: 120px;
  padding-bottom: 48px;
}

.footer__content {
  position: relative;
  padding: 64px 0;
  border-bottom: 1px solid var(--colors-border-border-secondary);
}

.footer__logo {
  width: 148px;
  display: block;
  transition: all 200ms;
}
.footer__logo:hover {
  opacity: 0.8;
}

.footer__text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  color: var(--colors-text-text-tertiary-600);
  margin-top: 32px;
}

.footer__nav {
  margin-top: 32px;
}

.footer__nav_list {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 32px;
  row-gap: 15px;
}

.footer__nav_list_secondary {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 32px;
  row-gap: 15px;
  margin-top: 24px;
}

.footer__nav_link {
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 16px;
  line-height: 150%;
  color: var(--component-colors-components-buttons-tertiary-button-tertiary-fg);
}

.footer__nav_link_secondary {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  color: var(--component-colors-components-buttons-tertiary-button-tertiary-fg);
}

.footer__login_btn {
  border: 1px solid #fa5f26;
  border-radius: 8px;
  padding: 16px 16px 16px 32px;
  box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.05);
  background: #fa5f26;
  display: flex;
  gap: 12px;
  width: fit-content;
  position: absolute;
  top: 64px;
  right: 0;
  transition: all 200ms;
}
.footer__login_btn:hover {
  opacity: 0.9;
}

.footer__login_btn_title {
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 20px;
  color: var(--component-colors-components-buttons-primary-button-primary-fg);
}

.footer__login_btn_description {
  margin-top: 2px;
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 14px;
  color: var(--component-colors-alpha-alpha-white-70);
}

.footer__end {
  padding-top: 42px;
  display: flex;
  width: 100%;
  justify-content: space-between;
}

.footer__end_text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  color: var(--colors-text-text-quarterary-500);
}

.select {
  position: relative;
}

.select_main {
  border: 1px solid var(--colors-border-border-primary);
  border-radius: 8px;
  padding: 10px 14px;
  width: 100%;
  height: 44px;
  box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.05);
  background: var(--colors-background-bg-primary);
  display: flex;
  align-items: center;
  gap: 8px;
  cursor: pointer;
}
.select_main_icon {
  width: 20px;
  height: 15px;
}
.select_main_text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  color: var(--colors-text-text-placeholder);
}
.select_main_arrow {
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 200ms;
}
.select_main_arrow.active {
  transform: rotate(180deg);
}

.select_variants {
  position: absolute;
  top: calc(100% + 5px);
  right: 0;
  border: 1px solid var(--colors-border-border-primary);
  border-radius: 8px;
  padding: 5px 0;
  width: 100%;
  box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.05);
  background: var(--colors-background-bg-primary);
  z-index: 10;
  min-width: 200px;
  opacity: 0;
  pointer-events: none;
  transition: all 200ms;
}
.select_variants.active {
  pointer-events: all;
  opacity: 1;
}

.select_variant {
  display: flex;
  align-items: center;
  gap: 7px;
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  color: var(--colors-text-text-placeholder);
  cursor: pointer;
  transition: all 200ms;
  padding: 0 14px;
  height: 38px;
}
.select_variant:hover {
  background: rgb(228, 228, 228);
}
.select_variant_selected {
  margin-left: auto;
  display: flex;
  align-items: center;
  justify-content: center;
}

.select_variant_icon {
  display: flex;
  align-items: center;
  justify-content: center;
}

.header__nav_list_close {
  display: none;
}

.header__nav_list li:last-child {
  display: none;
}


header nav {
  position: fixed;
  top: 85px;
  left: 0;
  z-index: 20;
  width: 100vw;
  height: 100dvh;
  /* background: #00000047; */
  display: flex;
  justify-content: flex-start;
  opacity: 0;
  transition: all 200ms;
  pointer-events: none;
}
header nav.active {
  opacity: 1;
  pointer-events: all;
}
header.menu_active .header__menu_btn svg {
  display: none;
}
header.menu_active .header__menu_btn .close {
  display: block;
}
.header__nav_list {
  flex-direction: column;
  align-items: flex-start;
  gap: 10px;
  padding-top: 20px;
  padding-left: 25px;
  background: #fff;
  max-height: calc(100% - 85px);
  overflow-y: auto;
  width: 320px;
  padding-bottom: 40px;
}

.header__nav_list li {
  width: calc(100% - 25px);
}

.header__nav_link {
  text-align: start;
}

.header__nav_link--mobile {
  display: none;
}

.header__nav_list li:last-child {
  display: flex;
  align-items: center;
  gap: 10px;
}
.header__nav_list li:last-child a {
  color: var(--brand-600);
}
.header__controls_group {
  gap: 12px;
}

li.header__nav_link--mobile-wrapper {
  display: none;
}

@media screen and (max-width: 1050px) {
  header {
    padding: 12px 0;
  }

  .footer__text {
    max-width: 400px;
  }
  .header__login_user {
    order: -1;
  }
}

@media screen and (max-width: 768px) {
  .container {
    padding: 0 16px;
  }

  header nav {
    top: 0;
    background: #00000047;
    justify-content: end;
  }

  .header__nav_list_close {
    display: block;
    position: absolute;
    top: 20px;
    right: 16px;
  }

  .header__menu_btn {
    order: 10;
  }

  .header__nav_list {
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
    padding-top: 20px;
    padding-left: 25px;
    background: #fff;
    max-height: 100%;
    overflow-y: auto;
    width: 320px;
    padding-bottom: 40px;
    padding-top: 60px;
  }

  li.header__nav_link--mobile-wrapper {
    display: block;
  }

  .header__nav_link--mobile {
    display: flex;
  }

  .header__login_btn {
    display: none;
  }

  footer {
    padding-bottom: 20px;
  }
  .footer__content {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 32px 0 40px;
  }
  .footer__text {
    text-align: center;
    margin-top: 16px;
  }
  .footer__login_btn {
    position: static;
    margin-top: 38px;
  }
  .footer__nav_list,
  .footer__nav_list_secondary {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .footer__end {
    padding-top: 20px;
    flex-direction: column-reverse;
    align-items: center;
    gap: 32px;
  }
}

.header__login_user {
  display: none;
  align-items: center;
  gap: 10px;
  transition: all 200ms;
}
.header__login_user:hover {
  opacity: 0.9;
}

.header__login_user_image {
  width: 40px;
  height: 40px;
  flex-shrink: 0;
  border-radius: 50%;
  overflow: hidden;
  background: #80808069;
}

.header__login_user_name {
  font-size: 16px;
  font-family: var(--font-family);
  max-width: 130px;
  overflow-wrap: break-word;
}

@media screen and (max-width: 500px) {
  .header__login_user {
    display: none !important;
  }
}

.header__login_user_mob {
  display: none;
  align-items: center;
  gap: 10px;
}
.header__login_user_image_mob {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  overflow: hidden;
  background: #80808069;
}
.header__login_user_name_mob {
  font-family: var(--font-family);
  font-size: 14px;
}
